/*****************************************************************************
 *****************************************************************************
 **                                                                         **
 **  The Fabboy - Retro Video Game on a PIC-based mini OLED board           **
 **                                                                         **
 **  Work started during Fabacademy 2016 by Christoph Nieß and              **
 **  Daniel Bruns.                                                          **
 **                                                                         **
 **                                                                         **
 **                                                                         **
 *****************************************************************************
 *****************************************************************************/

#include <xc.h>
#include "pic-config.h"
#include "hal.h"

void main(void)
{
    hal_init(); // hardware init
    
    
    while(1); // wait ad infinitum for something that will never come
    return;
}

// high priority interrupt
// everything is in here as interrupt priorities are switched off
void interrupt InterruptHandlerHigh(void)
{
    if(INTCONbits.TMR0IF) // Timer 0 interrupt
    {
        INTCONbits.TMR0IF = 0; // reset the interrupt flag
        LATC ^= 0x02;
    }
}

// low priority interrupt
void interrupt low_priority InterruptHandlerLow(void)
{
    ;
}
